
µWeb - Feature #873

Add localpath var to router.py to allow it to run from a subdirectory instead of the virtualhost root

2012-06-15 11:46 - Rudi Daemen

Status: Resolved Start date: 2012-06-15

Priority: Low Due date:  

Assignee:  % Done: 70%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Minor change, something like this:

LOCALPATH = '/uweb'

ROUTES = ((LOCALPATH + '/', 'Index'),

(LOCALPATH + '/test', 'Test'),

(LOCALPATH + '/(.*)', 'FourOhFour'))

This might simplify installations/configuration of pages which require no customization of available routes.

Associated revisions

Revision 338:65f06296877f - 2013-07-14 16:18 - Elmer de Looff

Added a proper default prefix for the routes. This resolves #873.

History

#1 - 2013-07-14 16:12 - Elmer de Looff

This is resolved in r337

There is now a configurable route prefix. In the router file, defining ROUTE_PREFIX sets this common prefix for all routes. This prefix is placed in

front of all routes verbatim, any slashes required to separate paths must be added manually.

#2 - 2013-09-13 13:53 - Elmer de Looff

- Status changed from New to Resolved

- % Done changed from 0 to 70

Applied in changeset uweb|commit:65f06296877f.
